ros-lyrical-foxglove-bridge (3.2.6-3resolute) resolute; urgency=high

  * Fix ROS rolling build for rclcpp 31.0.0

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 02 Apr 2026 05:00:00 -0000

ros-lyrical-foxglove-bridge (3.2.5-3resolute) resolute; urgency=high

  * Work around broken rosx_introspection transitive dependencies

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sun, 22 Mar 2026 05:00:00 -0000

ros-lyrical-foxglove-bridge (3.2.4-3resolute) resolute; urgency=high

  * Add client count topic (#692 <https://github.com/foxglove/foxglove-sdk/pull/692>)
  * Fix build warning on newer versions of CMake (#828 <https://github.com/foxglove/foxglove-sdk/pull/828>)
  * Update Foxglove SDK version to 0.16.5
  * Contributors: Andrew Madden, Chris Lalancette

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 22 Jan 2026 06:00:00 -0000

ros-lyrical-foxglove-bridge (3.2.3-3resolute) resolute; urgency=high

  * Fix build errors in ROS Rolling (#805 <https://github.com/foxglove/foxglove-sdk/pull/805>)
  * Fix message format error when using cache (#769 <https://github.com/foxglove/foxglove-sdk/pull/769>)
  * Contributors: Eric Lujan, chencaidy

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 12 Jan 2026 06:00:00 -0000

ros-lyrical-foxglove-bridge (3.2.2-3resolute) resolute; urgency=high

  * Fix publishing from Foxglove 3D panel (#716 <https://github.com/foxglove/foxglove-sdk/pull/716>)
  * Contributors: Bryan Fox

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 24 Oct 2025 05:00:00 -0000

ros-lyrical-foxglove-bridge (3.2.1-3resolute) resolute; urgency=high

  * Fix memory leak in generic_client allocate_message (#667 <https://github.com/foxglove/foxglove-sdk/issues/667>)
  * Contributors: Chris Lalancette, Matthew Harrison

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 26 Sep 2025 05:00:00 -0000

ros-lyrical-foxglove-bridge (3.2.0-3resolute) resolute; urgency=high

  * Rewrite of foxglove_bridge to use the Foxglove SDK (various)
  * fix errors on bridge shutdown (#640 <https://github.com/foxglove/foxglove-sdk/issues/640>)
  * Contributors: Eric Lujan, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 22 Sep 2025 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.8.5-3resolute) resolute; urgency=high

  * fix rolling/kilted builds due to resource_retriever API changes (#351 <https://github.com/foxglove/ros-foxglove-bridge/issues/351>)
  * avoid requesting parameters from unresponsive nodes (#345 <https://github.com/foxglove/ros-foxglove-bridge/issues/345>)
  * Update default asset_uri_allowlist parameter to allow dashes (#347 <https://github.com/foxglove/ros-foxglove-bridge/issues/347>)
  * reorganize devcontainer dockerfile (#350 <https://github.com/foxglove/ros-foxglove-bridge/issues/350>)
  * Use RCLCPP_VERSION_GTE from rclcpp/version.h in generic_client.cpp (#344 <https://github.com/foxglove/ros-foxglove-bridge/issues/344>)
  * Fixed logging typo (#343 <https://github.com/foxglove/ros-foxglove-bridge/issues/343>)
  * Contributors: Hans-Joachim Krauch, Meet Gandhi, johannesschrimpf

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 15 May 2025 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.8.4-3resolute) resolute; urgency=high

  * also advertise channels for ROS1 topics without publishers (#341 <https://github.com/foxglove/ros-foxglove-bridge/issues/341>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 21 Feb 2025 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.8.3-3resolute) resolute; urgency=high

  * add best_effort_qos_topic_whitelist param (#329 <https://github.com/foxglove/ros-foxglove-bridge/issues/329>)
  * Add missing functional include in message_definition_cache.cpp (#334 <https://github.com/foxglove/ros-foxglove-bridge/issues/334>)
  * Contributors: David Revay, Silvio Traversaro

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 03 Feb 2025 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.8.2-3resolute) resolute; urgency=high

  * Fix "no matching function" error on yocto kirkstone (#331 <https://github.com/foxglove/ros-foxglove-bridge/issues/331>)
  * Contributors: Graham Harison

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sun, 01 Dec 2024 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.8.1-3resolute) resolute; urgency=high

  * Improve Error Reporting and Reduce Log Redundancy (#327 <https://github.com/foxglove/ros-foxglove-bridge/issues/327>)
  * Contributors: Robin Dumas

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 26 Nov 2024 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.8.0-3resolute) resolute; urgency=high

  * Fix usage of deprecated AsyncParametersClient constructor (#319 <https://github.com/foxglove/ros-foxglove-bridge/issues/319>)
  * Add ROS2 JSON publishing support (#307 <https://github.com/foxglove/ros-foxglove-bridge/issues/307>)
  * Contributors: Davide Faconti, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 31 Jul 2024 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.10-3resolute) resolute; urgency=high

  * Make ROS1 service type retrieval more robust (#316 <https://github.com/foxglove/ros-foxglove-bridge/issues/316>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 12 Jul 2024 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.9-3resolute) resolute; urgency=high

  * Fix parsing of IDL message definitions (#313 <https://github.com/foxglove/ros-foxglove-bridge/issues/313>)
  * Support publishing client message as loaned message (#314 <https://github.com/foxglove/ros-foxglove-bridge/issues/314>)
  * fix: remove extra ";" in websocket_server.hpp (#311 <https://github.com/foxglove/ros-foxglove-bridge/issues/311>)
  * Fix rolling smoke tests crashing (#309 <https://github.com/foxglove/ros-foxglove-bridge/issues/309>)
  * Contributors: Andrey Milko, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 05 Jul 2024 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.8-3resolute) resolute; urgency=high

  * Fix srv definition parsing failing due to carriage return (#303 <https://github.com/foxglove/ros-foxglove-bridge/issues/303>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 11 Jun 2024 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.7-3resolute) resolute; urgency=high

  * send service call failure operation (#298 <https://github.com/foxglove/ros-foxglove-bridge/issues/298>)
  * Fix service definition parsing on ROS rolling (#293 <https://github.com/foxglove/ros-foxglove-bridge/issues/293>)
  * Update docs to discourage users from using websocket compression (#297 <https://github.com/foxglove/ros-foxglove-bridge/issues/297>)
  * Update README.md to remove '$ ' so that you can copy and run command (#294 <https://github.com/foxglove/ros-foxglove-bridge/issues/294>)
  * Fix typo in ROS2 launch file example (#296 <https://github.com/foxglove/ros-foxglove-bridge/issues/296>)
  * Contributors: Felipe Galindo, Hans-Joachim Krauch, Jacob Bandes-Storch, Roman Shtylman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 21 May 2024 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.6-3resolute) resolute; urgency=high

  * Fix rolling builds (#289 <https://github.com/foxglove/ros-foxglove-bridge/issues/289>)
  * Remove dual ROS 1+2 devcontainer, remove ROS Galactic from the support matrix (#285 <https://github.com/foxglove/ros-foxglove-bridge/issues/285>)
  * Contributors: Hans-Joachim Krauch, John Hurliman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 26 Feb 2024 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.5-3resolute) resolute; urgency=high

  * Add ROS 2 dependency for ament_index_cpp (#281 <https://github.com/foxglove/ros-foxglove-bridge/issues/281>)
  * Contributors: Chris Lalancette

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 29 Dec 2023 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.4-3resolute) resolute; urgency=high

  * Solved bug with incompatible QoS policies
  * added explicit call to ParameterValue() to avoid clang error (#277 <https://github.com/foxglove/ros-foxglove-bridge/issues/277>)
  * Add iron release badge to readme (#271 <https://github.com/foxglove/ros-foxglove-bridge/issues/271>)
  * Contributors: Hans-Joachim Krauch, Ted

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 14 Dec 2023 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.3-3resolute) resolute; urgency=high

  * Fix asset_uri_whitelist regex backtracking issue, add more extensions (#270 <https://github.com/foxglove/ros-foxglove-bridge/issues/270>)
  * [ROS1] Fix callback accessing invalid reference to promise (#268 <https://github.com/foxglove/ros-foxglove-bridge/issues/268>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 25 Oct 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.2-3resolute) resolute; urgency=high

  * Fix invalid pointers not being caught (#265 <https://github.com/foxglove/ros-foxglove-bridge/issues/265>)
  * Make ROS1 service type retrieval more robust (#263 <https://github.com/foxglove/ros-foxglove-bridge/issues/263>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 12 Sep 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.1-3resolute) resolute; urgency=high

  * Communicate double / double array parameters with type info, explicitly cast when set from integer (#256 <https://github.com/foxglove/ros-foxglove-bridge/issues/256>)
  * Make ROS 2 smoke tests less flaky (#260 <https://github.com/foxglove/ros-foxglove-bridge/issues/260>)
  * Add debug config for ros2 smoke test (#257 <https://github.com/foxglove/ros-foxglove-bridge/issues/257>)
  * Handle client disconnection in message handler thread (#259 <https://github.com/foxglove/ros-foxglove-bridge/issues/259>)
  * Reduce smoke test flakiness (#258 <https://github.com/foxglove/ros-foxglove-bridge/issues/258>)
  * Server code improvements (#250 <https://github.com/foxglove/ros-foxglove-bridge/issues/250>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 21 Aug 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.7.0-3resolute) resolute; urgency=high

  * Fix ROS2 launch file install rule not installing launch subfolder (#243 <https://github.com/foxglove/ros-foxglove-bridge/issues/243>)
  * Support building with boost asio (#247 <https://github.com/foxglove/ros-foxglove-bridge/issues/247>)
  * Avoid usage of tmpnam() for creating random filename (#246 <https://github.com/foxglove/ros-foxglove-bridge/issues/246>)
  * Implement ws-protocol's fetchAsset specification (#232 <https://github.com/foxglove/ros-foxglove-bridge/issues/232>)
  * Use --include-eol-distros for rosdep to fix melodic builds (#244 <https://github.com/foxglove/ros-foxglove-bridge/issues/244>)
  * Reduce logging severity for parameter retrieval logs (#240 <https://github.com/foxglove/ros-foxglove-bridge/issues/240>)
  * Contributors: Hans-Joachim Krauch, Micah Guttman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 12 Jul 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.6.4-3resolute) resolute; urgency=high

  * Assume publisher qos depth of 1 if the middleware reports the qos history as unknown (#239 <https://github.com/foxglove/ros-foxglove-bridge/issues/239>)
  * devcontainer: Use --include-eol-distros for rosdep update (#237 <https://github.com/foxglove/ros-foxglove-bridge/issues/237>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 05 Jul 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.6.3-3resolute) resolute; urgency=high

  * Add iron build to CI (#234 <https://github.com/foxglove/ros-foxglove-bridge/issues/234>)
  * Fix QoS history being unknown when copied from existing publisher (#233 <https://github.com/foxglove/ros-foxglove-bridge/issues/233>)
  * Extract ROS 2 bridge header (#228 <https://github.com/foxglove/ros-foxglove-bridge/issues/228>)
  * Contributors: Hans-Joachim Krauch, Milan Vukov

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 16 Jun 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.6.2-3resolute) resolute; urgency=high

  * Fix connection graph updates to due incorrect use of std::set_difference (#226 <https://github.com/foxglove/ros-foxglove-bridge/issues/226>)
  * Contributors: Ivan Nenakhov

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 11 May 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.6.1-3resolute) resolute; urgency=high

  * Fix warning messages not being logged (#224 <https://github.com/foxglove/ros-foxglove-bridge/issues/224>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 05 May 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.6.0-3resolute) resolute; urgency=high

  * Add support for nested parameters (ROS1) (#221 <https://github.com/foxglove/ros-foxglove-bridge/issues/221>)
  * Catch exceptions thrown in handler functions, send status to client (#210 <https://github.com/foxglove/ros-foxglove-bridge/issues/210>)
  * Fix unhandled xmlrpc exception (#218 <https://github.com/foxglove/ros-foxglove-bridge/issues/218>)
  * Add support for action topic and services (ROS2) (#214 <https://github.com/foxglove/ros-foxglove-bridge/issues/214>)
  * Add parameter to include hidden topics and services (ROS 2) (#216 <https://github.com/foxglove/ros-foxglove-bridge/issues/216>)
  * Add workaround for publishers not being cleaned up after they got destroyed (#215 <https://github.com/foxglove/ros-foxglove-bridge/issues/215>)
  * Fix error when compiling with C++20 (#212 <https://github.com/foxglove/ros-foxglove-bridge/issues/212>)
  * Devcontainer improvements (#213 <https://github.com/foxglove/ros-foxglove-bridge/issues/213>)
  * Add parameter for minimum subscription QoS depth (#211 <https://github.com/foxglove/ros-foxglove-bridge/issues/211>)
  * Log version and commit hash when node is started (#209 <https://github.com/foxglove/ros-foxglove-bridge/issues/209>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 04 May 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.5.3-3resolute) resolute; urgency=high

  * Fix publishers being created with invalid QoS profile (#205 <https://github.com/foxglove/ros-foxglove-bridge/issues/205>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 31 Mar 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.5.2-3resolute) resolute; urgency=high

  * Notify client when Server's send buffer limit has been reached (#201 <https://github.com/foxglove/ros-foxglove-bridge/issues/201>)
  * Add support for byte array params (#199 <https://github.com/foxglove/ros-foxglove-bridge/issues/199>)
  * Do not allow connection output buffer to exceed configured limit (#196 <https://github.com/foxglove/ros-foxglove-bridge/issues/196>)
  * Fix exception parameter not being used (#194 <https://github.com/foxglove/ros-foxglove-bridge/issues/194>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 29 Mar 2023 05:00:00 -0000

ros-lyrical-foxglove-bridge (0.5.1-3resolute) resolute; urgency=high

  * Add more exception handling (#191 <https://github.com/foxglove/ros-foxglove-bridge/issues/191>)
  * [ROS1] Fix exception not being caught when retrieving service type  (#190 <https://github.com/foxglove/ros-foxglove-bridge/issues/190>)
  * Devcontainer: Use catkin tools, add build commands for ros1 (#188 <https://github.com/foxglove/ros-foxglove-bridge/issues/188>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 09 Mar 2023 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.5.0-3resolute) resolute; urgency=high

  * Add support for schemaEncoding field (#186 <https://github.com/foxglove/ros-foxglove-bridge/issues/186>)
  * Use QoS profile of existing publishers (if available) when creating new publishers (#184 <https://github.com/foxglove/ros-foxglove-bridge/issues/184>)
  * Make server more independent of given server configurations (#185 <https://github.com/foxglove/ros-foxglove-bridge/issues/185>)
  * Add parameter client_topic_whitelist for whitelisting client-published topics (#181 <https://github.com/foxglove/ros-foxglove-bridge/issues/181>)
  * Make server capabilities configurable (#182 <https://github.com/foxglove/ros-foxglove-bridge/issues/182>)
  * Fix action topic log spam (#179 <https://github.com/foxglove/ros-foxglove-bridge/issues/179>)
  * Remove (clang specific) compiler flag -Wmost (#177 <https://github.com/foxglove/ros-foxglove-bridge/issues/177>)
  * Improve the way compiler flags are set, use clang as default compiler (#175 <https://github.com/foxglove/ros-foxglove-bridge/issues/175>)
  * Avoid re-advertising existing channels when advertising new channels (#172 <https://github.com/foxglove/ros-foxglove-bridge/issues/172>)
  * Allow subscribing to connection graph updates (#167 <https://github.com/foxglove/ros-foxglove-bridge/issues/167>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 08 Mar 2023 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.4.1-3resolute) resolute; urgency=high

  * Run client handler functions in separate thread (#165 <https://github.com/foxglove/ros-foxglove-bridge/issues/165>)
  * Fix compilation error due to mismatched new-delete (#163 <https://github.com/foxglove/ros-foxglove-bridge/issues/163>)
  * Decouple server implementation (#156 <https://github.com/foxglove/ros-foxglove-bridge/issues/156>)
  * ROS2 parameter fixes (#169 <https://github.com/foxglove/ros-foxglove-bridge/issues/169>)
  * Fix program crash due to unhandled exception when creating publisher with invalid topic name (#168 <https://github.com/foxglove/ros-foxglove-bridge/issues/168>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 17 Feb 2023 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.4.0-3resolute) resolute; urgency=high

  * Update README with suggestion to build from source, minor fixes
  * Do not build docker images, remove corresponding documentation (#159 <https://github.com/foxglove/ros-foxglove-bridge/issues/159>)
  * Add option to use permessage-deflate compression (#152 <https://github.com/foxglove/ros-foxglove-bridge/issues/152>)
  * Improve launch file documentation, add missing launch file arguments (#158 <https://github.com/foxglove/ros-foxglove-bridge/issues/158>)
  * Allow unsetting (deleting) parameters (#145 <https://github.com/foxglove/ros-foxglove-bridge/issues/145>)
  * Improve mutex usage (#154 <https://github.com/foxglove/ros-foxglove-bridge/issues/154>)
  * Add sessionId to serverInfo (#153 <https://github.com/foxglove/ros-foxglove-bridge/issues/153>)
  * Performance improvements (#151 <https://github.com/foxglove/ros-foxglove-bridge/issues/151>)
  * Add ROS2 support for calling server-advertised services (#142 <https://github.com/foxglove/ros-foxglove-bridge/issues/142>)
  * Add ROS1 support for calling server-advertised services (#136 <https://github.com/foxglove/ros-foxglove-bridge/issues/136>)
  * ROS2 smoke test: Increase default timeout 8->10 seconds (#143 <https://github.com/foxglove/ros-foxglove-bridge/issues/143>)
  * Fix flaky parameter test (noetic) (#141 <https://github.com/foxglove/ros-foxglove-bridge/issues/141>)
  * Always --pull when building docker images in the makefile (#140 <https://github.com/foxglove/ros-foxglove-bridge/issues/140>)
  * Fix failed tests not causing CI to fail (#138 <https://github.com/foxglove/ros-foxglove-bridge/issues/138>)
  * Fix setting int / int[] parameters not working (ROS 1) (#135 <https://github.com/foxglove/ros-foxglove-bridge/issues/135>)
  * Send ROS_DISTRO to clients via metadata field (#134 <https://github.com/foxglove/ros-foxglove-bridge/issues/134>)
  * Communicate supported encodings for client-side publishing (#131 <https://github.com/foxglove/ros-foxglove-bridge/issues/131>)
  * Fix client advertised channels not being updated on unadvertise (#132 <https://github.com/foxglove/ros-foxglove-bridge/issues/132>)
  * Add support for optional request id for setParameter operation (#133 <https://github.com/foxglove/ros-foxglove-bridge/issues/133>)
  * Fix exception when setting parameter to empty array (#130 <https://github.com/foxglove/ros-foxglove-bridge/issues/130>)
  * Fix wrong parameter field names being used (#129 <https://github.com/foxglove/ros-foxglove-bridge/issues/129>)
  * Add parameter support (#112 <https://github.com/foxglove/ros-foxglove-bridge/issues/112>)
  * Add throttled logging when send buffer is full (#128 <https://github.com/foxglove/ros-foxglove-bridge/issues/128>)
  * Contributors: Hans-Joachim Krauch, John Hurliman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 15 Feb 2023 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.3.0-3resolute) resolute; urgency=high

  * Add launch files, add install instructions to README (#125 <https://github.com/foxglove/ros-foxglove-bridge/issues/125>)
  * Drop messages when connection send buffer limit has been reached (#126 <https://github.com/foxglove/ros-foxglove-bridge/issues/126>)
  * Remove references to galactic support from README (#117 <https://github.com/foxglove/ros-foxglove-bridge/issues/117>)
  * Add missing build instructions (#123 <https://github.com/foxglove/ros-foxglove-bridge/issues/123>)
  * Use a single reentrant callback group for all subscriptions (#122 <https://github.com/foxglove/ros-foxglove-bridge/issues/122>)
  * Fix clang compilation errors (#119 <https://github.com/foxglove/ros-foxglove-bridge/issues/119>)
  * Publish binary time data when use_sim_time parameter is true (#114 <https://github.com/foxglove/ros-foxglove-bridge/issues/114>)
  * Optimize Dockerfiles (#110 <https://github.com/foxglove/ros-foxglove-bridge/issues/110>)
  * Contributors: Hans-Joachim Krauch, Ruffin

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 04 Jan 2023 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.2.2-3resolute) resolute; urgency=high

  * Fix messages not being received anymore after unadvertising a client publication (#109 <https://github.com/foxglove/ros-foxglove-bridge/issues/109>)
  * Allow to whitelist topics via a ROS paramater (#108 <https://github.com/foxglove/ros-foxglove-bridge/issues/108>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 12 Dec 2022 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.2.1-3resolute) resolute; urgency=high

  * Fix compilation on platforms where size_t is defined as unsigned int
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 05 Dec 2022 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.2.0-3resolute) resolute; urgency=high

  * Add support for client channels (#66 <https://github.com/foxglove/ros-foxglove-bridge/issues/66>)
  * Add smoke tests (#72 <https://github.com/foxglove/ros-foxglove-bridge/issues/72>)
  * Update package maintainers (#70 <https://github.com/foxglove/ros-foxglove-bridge/issues/70>)
  * [ROS2]: Fix messages not being received anymore after unsubscribing a topic (#92 <https://github.com/foxglove/ros-foxglove-bridge/issues/92>)
  * [ROS2]: Refactor node as a component (#63 <https://github.com/foxglove/ros-foxglove-bridge/issues/63>)
  * [ROS2]: Fix message definition loading for .msg or .idl files not located in msg/ (#95 <https://github.com/foxglove/ros-foxglove-bridge/issues/95>)
  * [ROS1]: Mirror ROS 2 node behavior when /clock` topic is present (#99 <https://github.com/foxglove/ros-foxglove-bridge/issues/99>)
  * [ROS1]: Fix topic discovery function not being called frequently at startup (#68 <https://github.com/foxglove/ros-foxglove-bridge/issues/68>)
  * Contributors: Hans-Joachim Krauch, Jacob Bandes-Storch, John Hurliman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 01 Dec 2022 06:00:00 -0000

ros-lyrical-foxglove-bridge (0.1.0-3resolute) resolute; urgency=high

  * Initial release, topic subscription only

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 21 Nov 2022 06:00:00 -0000


